org.apache.hadoop.yarn.api.protocolrecords

## Class GetClusterNodeLabelsResponse

- java.lang.Object
- - org.apache.hadoop.yarn.api.protocolrecords.GetClusterNodeLabelsResponse

-     @InterfaceAudience.Public
       @InterfaceStability.Evolving
      public abstract class GetClusterNodeLabelsResponse
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GetClusterNodeLabelsResponse()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract List<NodeLabel>` | `getNodeLabelList()`
    `abstract Set<String>` | `getNodeLabels()` Deprecated. Use `getNodeLabelList()` instead.
    `static GetClusterNodeLabelsResponse` | `newInstance(List<NodeLabel> labels)`
    `static GetClusterNodeLabelsResponse` | `newInstance(Set<String> labels)` Deprecated. Use `newInstance(List)` instead.
    `abstract void` | `setNodeLabelList(List<NodeLabel> labels)`
    `abstract void` | `setNodeLabels(Set<String> labels)` Deprecated. Use `setNodeLabelList(List)` instead.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GetClusterNodeLabelsResponse

          public GetClusterNodeLabelsResponse()

  - ### Method Detail

    - #### newInstance

          @Deprecated
          public static GetClusterNodeLabelsResponse newInstance(Set<String> labels)

      Deprecated. Use `newInstance(List)` instead.
      Creates a new instance.
      Parameters:
        `labels` - Node labels
      Returns:
        response

    - #### newInstance

          public static GetClusterNodeLabelsResponse newInstance(List<NodeLabel> labels)

    - #### setNodeLabelList

          public abstract void setNodeLabelList(List<NodeLabel> labels)

    - #### getNodeLabelList

          public abstract List<NodeLabel> getNodeLabelList()

    - #### setNodeLabels

          @Deprecated
          public abstract void setNodeLabels(Set<String> labels)

      Deprecated. Use `setNodeLabelList(List)` instead.
      Set node labels to the response.
      Parameters:
        `labels` - Node labels

    - #### getNodeLabels

          @Deprecated
          public abstract Set<String> getNodeLabels()

      Deprecated. Use `getNodeLabelList()` instead.
      Get node labels of the response.
      Returns:
        Node labels

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.